Bug 858011 - (cfse-object-labels, katello-object-label) CFSE tracker bug for object-labeling
CFSE tracker bug for object-labeling
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Jason E. Rist
Og Maciel
: Triaged
Depends On: 803702 804610 835586 843061
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 14:47 EDT by Brad Buckingham
Modified: 2013-08-16 14:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
ASCII-based label objects have been added based on requirements where System Engine interfaces with other elements to identify objects such as organizations, environments, products and repositories.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:53:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2012-09-17 14:47:46 EDT
This bugzilla is intended to be a tracker bug for various issues where a need for an 'object' label has been identified in CFSE.  For example, in order to interface with candlepin and pulp, CFSE needs to use a 'label' in the interface when identifying objects such as organizations, environments, products and repositories.
Comment 2 Mike McCune 2012-09-19 11:43:52 EDT
https://github.com/Katello/katello/pull/705
Comment 3 Lukas Zapletal 2012-09-20 04:17:50 EDT
https://github.com/Katello/katello/pull/717
Comment 4 Brad Buckingham 2012-09-20 13:48:45 EDT
https://github.com/Katello/katello/pull/724
Comment 5 Brad Buckingham 2012-09-21 09:16:11 EDT
https://github.com/Katello/katello/pull/726
Comment 6 Brad Buckingham 2012-09-21 16:30:57 EDT
https://github.com/Katello/katello/pull/711
Comment 7 Brad Buckingham 2012-09-24 09:11:06 EDT
https://github.com/Katello/katello/pull/736
Comment 10 Mike McCune 2012-10-18 18:52:59 EDT
Proposed release note:

= UTF8 Object Naming Support = 
  
  With CFSE 1.1 we now allow you to name your objects with UTF-8 
characters to better match your organization's language preferences.  
You can now name the following with UTF-8 characters:

 * Organizations
 * Environments
 * Products
 * Repositories
 * Usernames

Some of the above objects will require the addition of a new ASCII 
restricted 'label' field that is auto-generated but also able to
be overridden.
Comment 11 Og Maciel 2012-10-24 13:55:23 EDT
Username will not be supported.
Comment 12 Og Maciel 2012-10-24 13:56:04 EDT
Verified:

* candlepin-0.7.8.1-1.el6cf.noarch
* candlepin-selinux-0.7.8.1-1.el6cf.noarch
* candlepin-tomcat6-0.7.8.1-1.el6cf.noarch
* katello-1.1.12-17.el6cf.noarch
* katello-all-1.1.12-17.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-9.el6cf.noarch
* katello-cli-common-1.1.8-9.el6cf.noarch
* katello-common-1.1.12-17.el6cf.noarch
* katello-configure-1.1.9-8.el6cf.noarch
* katello-glue-candlepin-1.1.12-17.el6cf.noarch
* katello-glue-pulp-1.1.12-17.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-2.el6cf.noarch
* pulp-1.1.14-1.el6cf.noarch
* pulp-common-1.1.14-1.el6cf.noarch
* pulp-selinux-server-1.1.14-1.el6cf.noarch
Comment 14 errata-xmlrpc 2012-12-04 14:53:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 15 Mike McCune 2013-08-16 14:11:22 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.